groovy.json

## Class JsonException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.json.JsonException

- All Implemented Interfaces:
    java.io.Serializable

      public class JsonException
      extends java.lang.RuntimeException

  `JsonException` is the exception thrown by the JSON builder and slurper classes, whenever a problem occurs when creating or parsing JSON data structures.
  Since:
    1.8.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonException()`
    `JsonException(java.lang.String s)`
    `JsonException(java.lang.String s, java.lang.Throwable throwable)`
    `JsonException(java.lang.Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonException

          public JsonException()

    - #### JsonException

          public JsonException(java.lang.String s)

    - #### JsonException

          public JsonException(java.lang.String s,
                       java.lang.Throwable throwable)

    - #### JsonException

          public JsonException(java.lang.Throwable throwable)